#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	LibXSLT
Summary:	XML::LibXSLT - interface to the GNOME libxslt library
Summary(pl.UTF-8):	XML::LibXSLT - interfejs do biblioteki libxslt z GNOME
Name:		perl-XML-LibXSLT
Version:	1.78
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ec64aa8025e72171fd15e6e41c454354
URL:		http://search.cpan.org/dist/XML-LibXSLT/
BuildRequires:	libxslt-devel >= 1.1.26
BuildRequires:	perl-XML-LibXML >= 1.75
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
%if "%(perl -MXML::LibXML -e 'print XML::LibXML::LIBXML_VERSION == XML::LibXML::LIBXML_RUNTIME_VERSION || 0' 2>/dev/null)" == "0"
BuildRequires:	REBUILD-perl-XML-LibXML
%endif
%endif
Requires:	libxslt >= 1.1.26
Requires:	perl-XML-LibXML >= 1.70
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an interface to the GNOME project's libxslt. This is an
extremely good XSLT engine, highly compliant and also very fast. I
have tests showing this to be more than twice as fast as Sablotron.

%description -l pl.UTF-8
Ten moduł jest interfejsem do libxslt z projektu GNOME. Jest to bardzo
dobry silnik XSLT, o dużej zgodności ze standardem, a także bardzo
szybki. Według testów jest ponad dwa razy szybszy od Sablotrona.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/LibXSLT.pm
%dir %{perl_vendorarch}/auto/XML/LibXSLT
%{perl_vendorarch}/auto/XML/LibXSLT/LibXSLT.bs
%attr(755,root,root) %{perl_vendorarch}/auto/XML/LibXSLT/LibXSLT.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Oct 30 2012 Jakub Bogusz <qboosh@pld-linux.org> deabcbe
- updated to 1.78

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 401c90a
- up to 1.76

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 4f96d66
- up to 1.75

* Thu Oct 06 2011 lisu <lisu@pld-linux.org> 63001d0
- rel 4

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 2afde50
- tests require exact libxml2 in perl-XML-LibXML; added special blocker to
  remind about it when appropriate

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 5e759ec
- BR: pkgconfig

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> e1ef128
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 489fb88
- release 2

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> a233579
- updated to 1.70

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 0544c37
- release 2

* Sun Mar 02 2008 Jakub Bogusz <qboosh@pld-linux.org> c8a64cf
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> 50ada92
- version 1.66

* Sun Mar 02 2008 radek <radek@pld-linux.org> 9fea0a5
- applied upstream

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> db1ba7a
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> bac9254
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 029f25b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 101963e
- converted to UTF-8

* Fri Oct 27 2006 Jakub Bogusz <qboosh@pld-linux.org> cd5a169
- added error patch to fix error test with new libxml2/libxslt

* Fri Oct 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 6008a35
- fix error test with new libxml2/libxslt

* Fri Oct 20 2006 ankry <ankry@pld-linux.org> a9be23a
- ver. 1.61

